OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
ActivationOp< TreeType > Class Template Reference

`#include <Morphology.h>`

## Public Types
using | ValueT = typename TreeType::ValueType

## Public Member Functions
| ActivationOp (bool state, const ValueT &val, const ValueT &tol)
void | operator() (const typename TreeType::ValueOnIter &it) const
void | operator() (const typename TreeType::ValueOffIter &it) const
void | operator() (const typename TreeType::LeafIter &lit) const

## Member Typedef Documentation

## ◆ ValueT

using ValueT = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ ActivationOp()

ActivationOp | ( | bool | state,
|  | const ValueT & | val,
|  | const ValueT & | tol
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()() [1/3]

void operator() | ( | const typename TreeType::LeafIter & | lit | ) | const
| inline

## ◆ operator()() [2/3]

void operator() | ( | const typename TreeType::ValueOffIter & | it | ) | const
| inline

## ◆ operator()() [3/3]

void operator() | ( | const typename TreeType::ValueOnIter & | it | ) | const
| inline

The documentation for this class was generated from the following file:

- Morphology.h